Bug 439345 - Review Request: mediawiki-HNP - An extension to provide a hierarchical namespace permissions system
Summary: Review Request: mediawiki-HNP - An extension to provide a hierarchical namesp...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 439338
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-28 05:26 UTC by Ian Weller
Modified: 2008-05-31 00:39 UTC (History)
3 users (show)

Fixed In Version: 1.1.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-31 00:39:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Ian Weller 2008-03-28 05:26:00 UTC
Spec URL: http://ianweller.fedorapeople.org/SRPMS/mediawiki-HNP/1.1.2-1/mediawiki-HNP.spec
SRPM URL: http://ianweller.fedorapeople.org/SRPMS/mediawiki-HNP/1.1.2-1/mediawiki-HNP-1.1.2-1.fc8.src.rpm
Description: An extension to provide a hierarchical namespace permissions system. Requested by Infrastructure. Depends on bug 439338.

Comment 1 Ian Weller 2008-03-28 05:27:05 UTC
added depends on bug 439338

Comment 2 josh.kayse 2008-04-08 21:15:23 UTC
I'll do a pre-review:

* source files match upstream:
   0e964e9273c606c46afbd311b5ad4d77
    3_01.txt
   7fc74905125cbfe4af78530e7db92583
    HNP-1.1.2.tgz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
? package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   mediawiki-HNP = 1.1.2-1.fc9
  =
   mediawiki >= 1.10
   mediawiki-StubManager >= 1.1.0
 
* %check is not present; no test suite upstream.  I'm not sure how you would go 
  about testing this, anyway.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
? %docs are not necessary for the proper functioning of the package.

Comment 3 Jason Tibbitts 2008-04-08 21:27:12 UTC
Heh, you took the checklist out of my mouth.

I can fill in:

* package installs properly.
* %docs are not necessary for the proper functioning of the package.

To check the last one, do rpm -qpd mediawiki-HNP-1.1.2-1.fc9.noarch.rpm and
check that those files aren't actually used by the program.  It's generally obvious.

I'd approve this, and since I know that the infrastructure folks want this soon,
I'll go ahead and do so.  I hope that Josh doesn't think I'm stealing his credit.

Comment 4 josh.kayse 2008-04-08 23:21:20 UTC
I tried.

Thanks for the tip, I appreciate it.  This looks interesting, I'll probably play
around with it some.

Comment 5 Ian Weller 2008-04-09 02:54:09 UTC
New Package CVS Request
=======================
Package Name: mediawiki-HNP
Short Description: An extension to provide a hierarchical namespace permissions
system
Owners: ianweller
Branches: F-7 F-8 F-9 (right?)
InitialCC: 
Cvsextras Commits: yes

Comment 6 Tom "spot" Callaway 2008-04-09 15:47:16 UTC
cvs done

Comment 7 Ian Weller 2008-04-10 23:26:16 UTC
no it isn't, there is no module mediawiki-HNP

see comment #5 for request

Comment 8 Ian Weller 2008-04-10 23:27:38 UTC
(it's in pkgdb though.)

Comment 9 Kevin Fenzi 2008-04-12 21:57:49 UTC
try it now? Should be done.

Comment 10 Fedora Update System 2008-04-12 23:44:31 UTC
mediawiki-HNP-1.1.2-1.fc7 has been submitted as an update for Fedora 7

Comment 11 Fedora Update System 2008-04-12 23:45:48 UTC
mediawiki-HNP-1.1.2-1.fc8 has been submitted as an update for Fedora 8

Comment 12 Fedora Update System 2008-04-17 03:54:17 UTC
mediawiki-HNP-1.1.2-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2008-04-17 03:56:12 UTC
mediawiki-HNP-1.1.2-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.